# Class Base64Encoder

java.lang.Object
org.apache.jmeter.protocol.http.util.Base64Encoder

public final class Base64Encoder extends Object
This class provides an implementation of Base64 encoding without relying on the the sun.* packages.

Version:
  $Revision: 1380893 $

## Method Summary

Modifier and Type
Method
Description
`static String`
`encode(byte[] bs)`
`static String`
`encode(String s)`
`static String`
`encodeAtom(byte[] b, int strt, int left)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### encode

public static String encode(String s)

### encode

public static String encode(byte[] bs)

### encodeAtom

public static String encodeAtom(byte[] b, int strt, int left)